OpenMesh::Utils Namespace Reference

Collection of little utility classes and helpers. More...

## Classes

struct | HeapInterfaceT
| This class demonstrates the HeapInterface's interface. More...
class | HeapT
| An efficient, highly customizable heap. More...
class | MeshCheckerT
| Check integrity of mesh. More...
class | Noncopyable
| This class demonstrates the non copyable idiom. More...
class | NumLimitsT
| This class provides the maximum and minimum values a certain scalar type (`int`, `float`, or `double`) can store. More...
class | TestingFramework
| Helper class for test programms. More...
class | Timer
| Timer class. More...

## Functions

int | kbhit (void)
| Check if characters a pending in stdin. More...
int | getch (void)
| A blocking single character input from stdin. More...
int | getche (void)
| A blocking single character input from stdin with echo. More...
const char * | GLenum_as_string (GLenum _m)

## Detailed Description

Collection of little utility classes and helpers.

## Function Documentation

## getch()

int OpenMesh::Utils::getch | ( | void |  | ) |

A blocking single character input from stdin.

Returns
  Character, or -1 if an input error occurs.

See also
  getche(), kbhit()

## getche()

int OpenMesh::Utils::getche | ( | void |  | ) |

A blocking single character input from stdin with echo.

Returns
  Character, or -1 if an input error occurs.

See also
  getch(), kbhit()

## kbhit()

int OpenMesh::Utils::kbhit | ( | void |  | ) |

Check if characters a pending in stdin.

Returns
  Number of characters available to read.

See also
  getch(), getche()